package com.gic.haoban.manage.api.dto.notify.qdto;

import java.io.Serializable;
import java.util.Map;

/**
 * Created 2021/12/17.
 *
 * @author hua
 */
public class NoticeMessageQDTO implements Serializable {
    private String enterpriseId;
    private String staffId;
    private String clerkId;
    private String storeId;
    private String optTargetId;
    private int messageType;
    private String templateCode;

    private String title;
    private Map<String, String> contentMap;

    public NoticeMessageQDTO() {
    }

    /**
     * 发送队列需要序列化的字段
     *
     * @param enterpriseId
     * @param clerkId
     * @param optTargetId
     * @param messageType
     * @param contentMap
     * @param extendContent
     */
    public NoticeMessageQDTO(String enterpriseId, String clerkId, String optTargetId, int messageType, Map<String, String> contentMap, Map<String, Object> extendContent) {
        this.enterpriseId = enterpriseId;
        this.clerkId = clerkId;
        this.optTargetId = optTargetId;
        this.messageType = messageType;
        this.contentMap = contentMap;
        this.extendContent = extendContent;
    }

    /**
     * 拓展内容
     */
    private Map<String, Object> extendContent;

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getOptTargetId() {
        return optTargetId;
    }

    public void setOptTargetId(String optTargetId) {
        this.optTargetId = optTargetId;
    }

    public Map<String, Object> getExtendContent() {
        return extendContent;
    }

    public void setExtendContent(Map<String, Object> extendContent) {
        this.extendContent = extendContent;
    }

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getStoreId() {
        return storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public int getMessageType() {
        return messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public String getTemplateCode() {
        return templateCode;
    }

    public void setTemplateCode(String templateCode) {
        this.templateCode = templateCode;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public Map<String, String> getContentMap() {
        return contentMap;
    }

    public void setContentMap(Map<String, String> contentMap) {
        this.contentMap = contentMap;
    }
}
